Kerbal Space Program - Bug #6017

Settings are always resetted
12/10/2015 01:29 PM - warthogdj

Status: Needs Clarification Start date: 12/10/2015
Severity: Normal % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.0.5 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Using Kubuntu 15.10, i bought the game on steam.

When launched and settings changed it is saved on the config file. | can't read it with a cat or whatever you name it. However when
closing the game and after the relaunch settings are overwritten with default stuff. | keep being asked if i want to report data with my
ip or private.

The is just annoying | saw other issue of that. | don't think it's related to file permissions, i did a chmod 777 . -R on the game folder
and a chown user:user . -R also (of course user is me).

I'm not sure why this is happening | use rarely my 360 controller but never with this game. The pilot xpad i think is always loaded in
the kernel. And it's default ubuntu any way.

Thanks for your help.

History

#1 - 12/11/2015 06:42 PM - Deomys

I've the exact same issue. I'm running Ubuntu 14.04 x64 and starting KSP from steam in the x86 version.

I'm running a fresh install without any mods, I'm changing the WASD keys to ZQSD and changing some graphics settings then | restart the game and
the graphics settings are gone but not the controls.

I've no controller plugged, I'm using a laptop and a wireless mouse.

| did some testing:

1) fresh install

2) start from steam

3) key binding

4) graphics settings

5) close the game

=> graphics settings change are not saved so | modified the settings.cfg file using gedit and started the game. The graphics settings were just ignored
and the file wasn't modified but when | closed the game it saved the default graphics settings to the file.

Also the game keep showing up it's "send data/id" window which is annoying but less than having-to-redo-all-graphics-settings-everytime.

| really hope this issue is fixed quickly since it has been here for quite a long time.

#2 - 12/12/2015 02:05 AM - sal_vager

Hi guys, can you recheck your file permissions please, | do not see this issue on my end, what you are describing sounds like the controller binding
bug in 1.0.4 and earlier but this was fixed.

There was another issue that caused the repeated "send data/id" issue, but in all cases it was caused by mods, try removing all addons, deleting your
settings.cfg and start a new game.

Also, you need to provide your logs and reproduction steps, unless we can reproduce the issue in a stock install we can't find the cause.

Also a note on controllers, KSP/Unity only checks on game start, and can require a second game start to properly detect a controller, so try restarting
KSP.

Changing to "Normal" as this doesn't crash the game, as per the guide

#3 - 12/12/2015 02:05 AM - sal_vager
- Severity changed from High to Normal
#4 - 12/12/2015 07:33 AM - warthogdj

| removed everything and reinstalled via steam. So i have no mod, plugins. | did not use my controller, | attached it to the ceiling just to be sure.. :)
So to reproduce this | guess, get the game on *buntus what so ever do a fresh install with steam, then.

- Launch the game, and go to settings.

- Change the resolution and things you may want, you may put full screen this is interesting .

- close the game via the menu and relaunch it

- If you did choose full screen, it will boot full screen

- But settings will be reset after the launch (like screen resolution, AA, other things in a nutshell)

So | set my settings and reboot, here is the log [[http:/paste.ubuntu.com/13957936/]]

I redid chmod 777 . -R && chown user:user . -R and here is the second launch log [[http:/paste.ubuntu.com/13957986/]]

| can provide more info on my config if needed, which happens anyway to be the stock Kubuntu 15.10.
#5 - 12/14/2015 10:53 AM - sal_vager
Unfortunately the logs don't tell me anything, and nothing on the operating system level.

After you change your settings and click "apply" please check your settings.cfg in the KSP folder to see if the changes were written to the file, and
check it again after starting KSP to see if it was changed.

#6 - 12/14/2015 04:34 PM - warthogdj

They are changed.. and overwritten at restart. Is there any specific test | could do or sort of debug mode output | could do ?

#7 - 12/14/2015 06:28 PM - sal_vager

There's no specific test for this, it really should be working, and while there is a verbose debug mode you have to set it manually in the settings.cfg, so
it's not going to help here.

Can you please try starting the KSP.exe directly (not via Steam), set your settings how you want them again, exit KSP then upload the settings.cfg
and the Player.log from /home/username/.config/unity3d/Squad/Kerbal Space Program/

Then restart KSP.exe and post the new Player.log and reset settings.cfg

#8 - 12/14/2015 09:55 PM - warthogdj
Ok here you go https://www.freethepepper.com/owncloud/index.php/s/ZAzUlhbxGknZSSq

Settings are overwritten exactly when showing menu after the loading, i launched the game via command line directly 'KSP.x86_64"'
EDIT: now link is ok

#9 - 12/15/2015 12:39 PM - Squelch

- Status changed from New to Need More Info

Could you please let us know what locale setting you have?

The log shows that you are launching directly from the executable, but it also looks like you have Steam running in the background. Could you also try
without Steam client running?

How was your controller set up? Was it done in the Steam Client, or only KSP.
Would you mind unplugging your controller and attempting to launch?
Also please could you provide us with details on the controller[s] in use?

#10 - 12/15/2015 02:46 PM - warthogdj
Here is my 'printenv' http://paste.ubuntu.com/14027691/

| do not use / have any controller connected, 1a00m on laptop using keyboard / mouse.
When i did use my controller (not since few weeks) | did not have to configure anything (wired xbox360 ctrl), | have not used it with KSP ever, and still
not using it right now, just regular keyboard. The driver is xpad included in kernel | think.

All attempts are done without this controller been plugged, since | don't want to use it anyway.
| tried again with steam killed (shutted down) => same behaviour.

| use french local, have an azerty keyboard (laptop is msi gt70 2pc)
$ setxkbmap —-query

rules: evdev
model: pclOl
layout: fr,us
variant: latin9,

#11 - 12/15/2015 03:17 PM - sal_vager

Hi warthogdj, | hope this isn't too much trouble but is there another Linux computer available you can test this on ? Or maybe try a new user account
as that might reveal an issue with other software running on the laptop.

I'm not sure if KSP can start from a Kubuntu live cd, though it should as it can run with the open source drivers and that may be worth a try.

Another test would be to see if the settings reset with an English locale and qwerty keyboard layout, as azerty has caused issues with KSP in the
past.

#12 - 12/15/2015 03:32 PM - Squelch

Are you using a language pack addon by any chance?

| have tested this scenario on Xubuntu 15.10 with French and German locales, and various controllers. The settings are written and kept on every
occasion. As you don't have a controller attached, we can rule that out, but the problem is with controller settings.

There was a bug where the number format was not being written to the settings file in the correct manner for reading. 0.05 => 0,05 and KSP/Unity
only reads . (dot) not , (comma). This problem was recently addressed, but your problem looks very similar. The settings and logs that you have just
uploaded show that . (dot) is in use. However, the log shows that the settings file is not being written because of a number formatting issue with axis
binding. The result is the settings file does not change.

We strongly suspect that some other process is translating or interfering, but the logs do not indicate what. A live CD session may well rule out other
processes.

#13 - 12/15/2015 04:05 PM - warthogdj

Would testing under a VM on debian jessy (gnome with qwerty) be ok ? i'll try that with en locales and keyboard layout.
Also i'm using strict vanilla KSP, no pack / addon installed.

#14 - 12/15/2015 05:20 PM - Squelch

A VM would suffice to check if the settings are working. Performance won't be great however.
Thanks for confirming a clean install. We really do need to rule out all possibilities.

#15 - 12/16/2015 08:21 AM - warthogdj

Tested Stock Ubuntu 15.10 with updates

Settings are erased

'printenv' hitp:/paste.ubuntu.com/14047496/
'settings' http:/paste.ubuntu.com/14047514/

Player.log http://paste.ubuntu.com/14047537/
How ever KSP stat tracker still appear at every launch.

ubuntu@ubuntu-VirtualBox:~$ setxkbmap -query

rules: evdev
model: pcl05
layout: iBie, 812, 1S
variant: latin9, oss,

I'm going to change all locales to en and update this post.

Oh And this test was launched via steam. | can retry launching directly from the binary if wanted, but at this point I think it would be faster if you could
confirm testing on a stock Ubuntu VM.

EDIT:

So i change locale to en (keyboard layout unchanged)

Aaaaand there it is | You guys pointed out | think number formating must be the issue

'printenv' hitp:/paste.ubuntu.com/14047665/
'settings' http://paste.ubuntu.com/14047689/

'Player.log' http://paste.ubuntu.com/14047684/
Here are screen of the settings changed (language, and region formatting)
Note that | don't know if you guys are using unity setting module or something, but | don't have issue with other unity game on this (except handling
non-ascii chars like &A©"' - which are upper keyboard number keys on azerty keyboard -, but this issue is on unity engine.

EREARA5Ng
So changing region settings which is not a solution solves the issue.
Note: | always launched it via steam during tests, this is vanilla KSP nothing added fresh install | really confirm this again.

Also as a side note, are you guys aware of antialiasing not working on linux with nvidia prop drivers ? This makes the game a bit ugly using 358.16
with bumblebee

#16 - 12/20/2015 03:16 PM - Squelch

Thank you for the work you have put into this.

The number formatting is a historic problem, and thought to have been fixed by making KSP settings agnostic to system locale in the last update.
Something must have slipped through however. Unfortunately this problem does not show on my system set to FR locale, so it is hard to understand
why this may be happening. Perhaps the presence of an azerty keyboard is having an effect?

You may not have to change your system locale, and | agree it would be a poor solution. Please try adding this to your Steam startup line

LC_ALL=C %command$%

for the 32 bit version, or

LC_ALL=C %command%_64

for the 64 bit version.

This will force KSP to run with an English environment without impacting the rest of the system. Further details can be found on this wiki page
http://wiki.kerbalspaceprogram.com/wiki/Linux

Please let us know if this works for you?

The antialiasing problem is known and is a mixture between Unity and the driver. AMD/AT]I drivers are also affected, and this is being worked on.

#17 - 12/21/2015 10:27 AM - warthogdj

Ok it works here is my start-up command on steam

LC_ALL=C %command%_64 KWIN_TRIPLE_BUFFER=1 primusrun $command$%
Thank you for the workaround :)

The antialiasing problem is known and is a mixture between Unity and the driver. AMD/ATI drivers are also affe
cted, and this is being worked on.

Nice thanks for the info !

#18 - 02/21/2016 01:57 PM - Cilyan

Same problem here, I'm posting to say that I'm too usually using the fr_FR.utf8 locale.
Moving the LC_ALL=C before starting fixes that.

My notes on my experience:

This does not impact keyboard/controller configuration, they are saved and restored properly.

Audio settings are lost each time the game is restarted or the settings panel is opened.

Graphics settings are lost each time the settings panel is opened, but they are restored properly at game start (i.e. the game will start full HD and full
screen if you closed it so).

Graphics and Audio are lost at opening the settings panel, even if their tab is not displayed (i.e., if you change something in input and click apply, you
will end up in windowed mode, reduced resolution).

Answers to "Global questions" are also lost (sent game progress data and warning on use physics warps) at least at each game start.

If you start with french locale and modify the settings, then close and re-open with LC_ALL=C, the settings are restored properly, which tends to
indicate that the file is saved properly.

#19 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#20 - 07/23/2016 04:59 PM - Cilyan
Confirmed here with version 1.1.3.1289 (steam synchronized). Workaround still works.
#21 - 03/17/2017 11:05 AM - psycho_zs

Itisn't fixed in 1.2.9.
Config parsing really shouldn't depend on localized decimal delimiter.

04/18/2024 5/5


http://www.tcpdf.org

